REST API
Infra APIDatabases

Update a database Project attachment

PATCH/api/v1/databases/{db_id}

Moves a database to a Project, or detaches it with project_id null

Authorization

BearerAuth
AuthorizationBearer <token>

Hydra JWT Bearer token

In: header

Path Parameters

db_id*string

Database ID

Request Body

application/json

Project attachment

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/databases/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "client_mode_enabled": true,  "created_at": "string",  "host": "string",  "id": "string",  "name": "string",  "native_credential_generation": 0,  "network_name": "string",  "organization_id": "string",  "pg_database": "string",  "pg_user": "string",  "project_id": "string",  "status": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}